ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.Platform.Reg.Class

Description

An architecture independent description of a register's class.

Synopsis

- data RegClass
  - = RcInteger
  - | RcFloat
  - | RcDouble

# Documentation

data RegClass Source #

The class of a register. Used in the register allocator. We treat all registers in a class as being interchangeable.

Constructors

RcInteger |
RcFloat |
RcDouble |

#### Instances

Instances details

Uniquable RegClass Source # |
Instance details Defined in GHC.Platform.Reg.Class Methods getUnique :: RegClass -> Unique Source #
Outputable RegClass Source # |
Instance details Defined in GHC.Platform.Reg.Class Methods ppr :: RegClass -> SDoc Source #
Eq RegClass Source # |
Instance details Defined in GHC.Platform.Reg.Class Methods (==) :: RegClass -> RegClass -> Bool # (/=) :: RegClass -> RegClass -> Bool #